> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate promotion offer

> Activate a retailer's promotion offer affiliate and receive a redirect URL.



## OpenAPI

````yaml https://api.onsleek.ai/openapi.json post /v1/deals/promotions/{id}/activate
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sleek API
  description: API documentation for Sleek's API.
servers:
  - url: https://api.onsleek.ai
security:
  - api-key: []
paths:
  /v1/deals/promotions/{id}/activate:
    post:
      tags:
        - Promotions
      summary: Activate promotion offer
      description: >-
        Activate a retailer's promotion offer affiliate and receive a redirect
        URL.
      parameters:
        - schema:
            type: string
            description: The ID of the promotion to activate.
          required: true
          description: The ID of the promotion to activate.
          name: id
          in: path
        - schema:
            type: string
            description: >-
              A unique identifier for this activation. This will be passed back
              to you when a transaction occurs. Format: `any string`
          required: true
          description: >-
            A unique identifier for this activation. This will be passed back to
            you when a transaction occurs. Format: `any string`
          name: passbackUid
          in: query
        - schema:
            type: string
            description: >-
              Any data you want to pass back to you when a transaction occurs.
              Format: `any string`
          required: false
          description: >-
            Any data you want to pass back to you when a transaction occurs.
            Format: `any string`
          name: passbackData
          in: query
        - schema:
            type: string
            description: Your organization's UID for activating retailer's promotion offers
          required: true
          description: Your organization's UID for activating retailer's promotion offers
          name: orgId
          in: query
      responses:
        '200':
          description: >-
            The URL to redirect the user to activate the retailer's promotion
            affiliate.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                required:
                  - url
      security: []
components:
  securitySchemes:
    api-key:
      type: http
      scheme: bearer
      description: API key for accessing the Sleek API.

````